Skip to main content
GET

List Messages

GET /api/conversations/:conversationId/messages Retrieve all messages in a conversation, sorted chronologically. Supports cursor-based pagination and filtering.

Authorization

Path parameters

integer
required
The conversation ID.

Query parameters

integer
default:"1"
Page number for pagination.
integer
default:"50"
Messages per page (max: 100).
string
Message ID to fetch messages before.
string
Message ID to fetch messages after.

Message types

Messages can have the following type values:

Message status